function addEvent(node, evtType, func) {
	if (node.addEventListener) {
		node.addEventListener(evtType, func, false);
		return true;
	} else if (node.attachEvent) {
		return node.attachEvent("on" + evtType, func);
	} else {
		return false;
	}
} 

function readCookie(name) {
	var re = new RegExp(name + "=([^;]+)");
	var value = re.exec(document.cookie);
	return (value != null) ? unescape(value[1]) : null;
}

function createCookie(name, value) {
	var today = new Date();
	var expiry = new Date(today.getTime() + 28 * 24 * 60 * 60 * 1000);
	document.cookie = name + "=" + escape(value) + "; expires=" + expiry.toGMTString();
}

function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass(elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/, "");
}